/**
 * @param {AssertServiceContext} context
 * @returns {AssertService}
 */
export function createService(context: AssertServiceContext): AssertService;
export type AssertServiceContext = {
    claimStore: import('../../store').ClaimStore;
};
export type AssertService = {
    location: import('@ucanto/server').ServiceMethod<import('../../capability/assert.js').AssertLocation, {}, import('@ucanto/server').Failure>;
    inclusion: import('@ucanto/server').ServiceMethod<import('../../capability/assert.js').AssertInclusion, {}, import('@ucanto/server').Failure>;
    partition: import('@ucanto/server').ServiceMethod<import('../../capability/assert.js').AssertPartition, {}, import('@ucanto/server').Failure>;
    relation: import('@ucanto/server').ServiceMethod<import('../../capability/assert.js').AssertRelation, {}, import('@ucanto/server').Failure>;
};
import * as Inclusion from './inclusion.js';
import * as Location from './location.js';
import * as Partition from './partition.js';
import * as Relation from './relation.js';
export { Inclusion, Location, Partition, Relation };
//# sourceMappingURL=index.d.ts.map